HostingTeam members
Create team member
POST
/api/team_membersCreates a team member with the requested permissions.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email_address*string
Team member email address.
firstname*string
Team member first name.
lastname*string
Team member last name.
password*string
Team member password. Must be at least 8 characters long and contain at least one letter and one number.
password_confirmation*string
Must match password.
customer_code?string
Customer code that owns the team member. Admin only.
permissions?string[]
Permission keys granted to the team member.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/team_members" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "email_address": "string", "firstname": "string", "lastname": "string", "password": "string", "password_confirmation": "string" }'{
"message": "string",
"resource_code": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}